import { Player } from '@minecraft/server';
import { sendPlayerMessage, getPlayer, getScore } from '../../../../stuff/commonUtils';


export function heartGet(player: Player, args: string[]) {
    if (args.length > 2) return sendPlayerMessage(player, `§cExtra arguments at the end of command`);
    const target = args[1] ? getPlayer(args[1]) : player;

    if (!target) return sendPlayerMessage(player, `§cCouldn't find a player with that name ('${args[1] ?? ``}')`);

    const targetsHeartCount = getScore(target, `ls-death`);
    sendPlayerMessage(player, `§a${target.name} currently has ${targetsHeartCount} hearts`);
}
