import { Player } from '@minecraft/server';
import { sendPlayerMessage, getPlayer, getScore, addScore, sendAllMessage } from '../../../../stuff/commonUtils';
import { processAllDeadplayers } from '../../../core_modules/ghostHandling';
import { deadplayers } from '../../../databases';


export function heartRemove(player: Player, args: string[]) {
    if (args.length > 3) return sendPlayerMessage(player, `§cExtra arguments at the end of command`);
    const amount = args[2] ? +args[2] : +args[1];
    const target = args[2] || isNaN(amount) ? getPlayer(args[1]) : player;

    if (!target) return sendPlayerMessage(player, `§cCouldn't find a player with that name ('${args[1] ?? ``}')`);
    if (isNaN(amount) || !Number.isInteger(amount)) return sendPlayerMessage(player, `§cExpected integer ('${amount}')`);

    const targetsHeartCount = getScore(target, `ls-death`);
    addScore(target, `ls-death`, -amount);
    processAllDeadplayers();

    const newTargetsHeartCount = getScore(target, `ls-death`);
    sendPlayerMessage(player, `§aRemoved ${amount} hearts from ${target.name}'s heart count (from ${targetsHeartCount} to ${newTargetsHeartCount})`);
}
