import { GameMode, Player } from '@minecraft/server';
import { sendPlayerMessage, getPlayer, setScore } from '../../../../stuff/commonUtils';
import { lifesteal } from '../../../databases';
import { processAllDeadplayers } from '../../../core_modules/ghostHandling';


export function heartReset(player: Player, args: string[]) {
    if (args.length > 2) return sendPlayerMessage(player, `§cExtra arguments at the end of command`);
    const target = args[1] ? getPlayer(args[1]) : player;

    if (!target) return sendPlayerMessage(player, `§cCouldn't find a player with that name ('${args[1] ?? ``}')`);

    const startAmount = +lifesteal.get(`startamount`);

    setScore(target, `ls-death`, startAmount);

    if (target.hasTag(`ls-dead`)) {
        player.setGameMode(GameMode.survival);
        target.removeTag(`ls-dead`);
        player.onScreenDisplay.setActionBar(`§bYou have been revived!`);
    }

    processAllDeadplayers();

    sendPlayerMessage(player, `§aReset ${target.name}'s heart count to ${startAmount}`);
}