import { Player } from '@minecraft/server';
import { sendAllMessage, sendPlayerMessage } from '../../../../../stuff/commonUtils';
import { lifesteal } from '../../../../databases';


export function heartItemCap(player: Player, args: string[]) {
    if (args.length > 2) return sendPlayerMessage(player, `§cExtra arguments at the end of command`);
    const amount = +args[1];

    if (!args[1]) return sendPlayerMessage(player, `§aHeart item cap is set to ${lifesteal.get(`heartitemcap`)}`);
    if (isNaN(amount) || !Number.isInteger(amount)) return sendPlayerMessage(player, `§cExpected integer ('${args[1] ?? ``}')`);


    const maxHearts = +(lifesteal.get(`maxhearts`) ?? 0);
    if (amount > maxHearts || amount < 1) return sendPlayerMessage(player, `§cPlease input a number from 1-${maxHearts}`);

    lifesteal.set(`heartitemcap`, `${amount}`);

    sendPlayerMessage(player, `§aSet heart item cap to ${amount}`);
}
