import { Player } from "@minecraft/server";
import { sendPlayerMessage } from "../../../../../stuff/commonUtils";
import { lifesteal } from "../../../../databases";

export function heartMaxHolBonus(player: Player, args: string[]) {
    if (args.length > 2) return sendPlayerMessage(player, `§cExtra arguments at the end of command`);
    const amount = +args[1];

    if (!args[1]) return sendPlayerMessage(player, `§aMax Heart of Life bonus is set to ${lifesteal.get(`maxholbonus`)}`);
    if (isNaN(amount) || !Number.isInteger(amount)) return sendPlayerMessage(player, `§cExpected integer ('${args[1] ?? ``}')`);
    if (amount < 0) return sendPlayerMessage(player, `§cPlease input a number more than 0`);

    lifesteal.set(`maxholbonus`, `${amount}`);

    sendPlayerMessage(player, `§aSet Max Heart of Life bonus to ${amount}`);
}