import { Player } from '@minecraft/server';
import { sendPlayerMessage } from '../../../../../stuff/commonUtils';
import { lifesteal } from '../../../../databases';

export function heartSetMax(player: Player, args: string[]) {
    if (args.length > 2) return sendPlayerMessage(player, `§cExtra arguments at the end of command`);
    const amount = +args[1];

    if (!args[1]) return sendPlayerMessage(player, `§aMax hearts is set to ${lifesteal.get(`maxhearts`)}`);
    if (isNaN(amount) || !Number.isInteger(amount)) return sendPlayerMessage(player, `§cExpected integer ('${args[1] ?? ``}')`);
    if (amount < 1 || amount > 200) return sendPlayerMessage(player, `§cPlease input a number between 1-200`);

    lifesteal.set(`maxhearts`, `${amount}`);

    const heartItemCap = +(lifesteal.get(`heartitemcap`) ?? 0);
    if (heartItemCap > amount) {
        lifesteal.set(`heartitemcap`, amount);
        sendPlayerMessage(player, `§aSet heart item cap to ${amount}`);
    }

    sendPlayerMessage(player, `§aSet max hearts to ${amount}`);
}
