import { CustomCommandResult, CustomCommandStatus, Player } from "@minecraft/server";
import { helpMoreInfo, sendPlayerMessage } from "../../stuff/commonUtils";
import { config } from "../../stuff/config";
import { Command, SlashCommandBuilder } from "../../stuff/handler";

new Command({
    name: "help",
    aliases: ["h"],
    helpMenu: `none`,
    callback({ player, args }) {
        if (helpMoreInfo(player, args) === true) return;

        sendPlayerMessage(player, `§c----------------------------
§c§lLifesteal Help Page§r
§f§lCommand Prefix: §r§c${config.prefix}
§r§c----------------------------

§6Normal Commands --

§e- §lwithdraw <amount> §r§g| Withdraw one or more hearts from your heart count
§e- §lrevive <player> §r§g| Revive a player (Must have a heart of life in hand) 
§e- §ldeadplayers §r§g| Show all dead player's names
§e- §lheart <display/show> §r§g| Heart commands
§e- §lwelcome §r§g| Show the welcome GUI
§e- §lversion §r§g| Shows the current lifesteal version

§r§2Ghost Commands --

§a- §lspectate <player> §r§q| Spectate a player without their coordinates being shown, sneak to stop spectating
§a- §ljumpscare <player> §r§q| Jumpscare a player (must be near them)
§a- §lghostpanel §r§q| Opens a panel where you can select a player to jumpscare/spectate

§r§sStaff Commands --§r
${player.hasTag(config.staffTag) || player.isOp() ?
                `
§9- §ladminpanel §r§u| Open the admin panel (Has a better way of setting settings)

§9- §lheart <set/add/remove/max/...> §r§u| Heart commands such as set (Sets a max player's hearts), envsteal (Sets whether dying from mobs, fall damage, etc makes you lose a heart), etc
§9- §llogs §r§u| Shows everytime a player used a command or gained a heart
§9- §lget <item> <amount> §r§u| Get a lifesteal item without the need of an identifier
§9- §lghostbarrier <amount> §r§u| Set the ghost barrier
§9- §lforcerevive <player> §r§u| Revives a player even if you don't have a Heart of Life
§9- §lforcekill <player> §r§u| Sets a player to 0 hearts and makes them a ghost
§9- §lreviveall §r§u| Revive all players
§9- §lreviveamount <amount> §r§u| Set the amount of hearts a player is given when they are revived
§9- §lbanghosts <true/false> §r§u| Whether people get banned when they reach 0 hearts or not
§9- §lstartamount <amount> §r§u| Set the amount of hearts a new player starts with
§9- §lcompatibility <arg> <true/false> §r§u| Settings for compatibility with other addons

§r§f§lDo ${config.prefix}help <commandName> for information on that command!` : `§cYou do not have permission to view staff commands! Do §l/tag @s add ${config.staffTag}§r§c to get permission.

§r§f§lDo ${config.prefix}help <commandName> for information on that command!`}`);
    },
});
