import { deadplayers } from "../../databases";
import { sendPlayerMessage } from "../../../stuff/commonUtils";
import { config } from '../../../stuff/config';
import { Command, SlashCommandBuilder } from '../../../stuff/handler';
import { CustomCommandStatus, Player, system } from "@minecraft/server";

SlashCommandBuilder.createCommand({
    commandInfo: {
        name: `ls:deadplayers`,
        description: `Get a list of all eliminated players`,
        permissionLevel: 0
    },
    callback(origin) {
        const player = origin.sourceEntity as Player;
        if (player?.typeId !== `minecraft:player`) return { status: CustomCommandStatus.Failure, message: `Not a player` };

        system.run(() => {
            const deadPlayersList = Array.from(deadplayers.keys());
            sendPlayerMessage(player, `§e§lDead Players ---§r§g\n${deadPlayersList.length !== 0 ? deadPlayersList.join(`\n`) : `§6No dead players found!`}`);
        });

        return { status: CustomCommandStatus.Success };
    },
});

new Command({
    name: `deadplayers`,
    helpMenu: `§e§lLifesteal Help Page -- deadplayers§r§g
> Get a list of all eliminated players

> Usage: ${config.prefix}deadplayers

> Examples: [
    ${config.prefix}deadplayers
]`,
    callback({ player }) {
        const deadPlayersList = Array.from(deadplayers.keys());
        sendPlayerMessage(player, `§e§lDead Players ---§r§g\n${deadPlayersList.length !== 0 ? deadPlayersList.join(`\n`) : `§6No dead players found!`}`);
    }
});