import { Player, CustomCommandStatus, system } from "@minecraft/server";
import { sendPlayerMessage } from "../../../stuff/commonUtils";
import { config } from '../../../stuff/config';
import { Command, SlashCommandBuilder } from '../../../stuff/handler';
import { openWelcomeGui } from "../../gui/welcome";

SlashCommandBuilder.createCommand({
    commandInfo: {
        name: `ls:welcome`,
        description: `Opens the welcome menu showed when joining`,
        permissionLevel: 0
    },
    callback(origin) {
        const player = origin.sourceEntity as Player;
        if (player?.typeId !== `minecraft:player`) return { status: CustomCommandStatus.Failure, message: `Not a player` };

        system.run(() => openWelcomeGui(player));

        return { status: CustomCommandStatus.Success };
    },
});

new Command({
    name: `welcome`,
    helpMenu: `§e§lLifesteal Help Page -- welcome§r§g
> Show the welcome GUI

> Usage: ${config.prefix}welcome

> Examples: [
    ${config.prefix}welcome
]`,
    callback({ player, args }) {
        if (!player.hasTag(`welcome-gui_done`)) return sendPlayerMessage(player, `§3Close chat to open GUI`);

        player.removeTag(`welcome-gui_done`);
        sendPlayerMessage(player, `§3Close chat to open GUI`);
        if (!player.hasTag("welcome-gui_done")) {
            player.addTag("welcome-gui_done");
            openWelcomeGui(player);
        }
    }
});