import { CommandPermissionLevel, CustomCommandStatus, Player, system } from "@minecraft/server";
import { sendPlayerMessage } from "../../../stuff/commonUtils";
import { config } from '../../../stuff/config';
import { Command, SlashCommandBuilder } from '../../../stuff/handler';
import { adminPanel } from '../../gui/adminpanel';

SlashCommandBuilder.createCommand({
    commandInfo: {
        name: `ls:adminpanel`,
        description: `Open the admin panel`,
        permissionLevel: CommandPermissionLevel.Admin
    },
    callback(origin, ...args) {
        const player = origin.sourceEntity as Player;
        if (player?.typeId !== `minecraft:player`) return { status: CustomCommandStatus.Failure, message: `Not a player` };

        system.run(() => adminPanel(player));

        return { status: CustomCommandStatus.Success };
    },
});

new Command({
    name: `adminpanel`,
    aliases: [
        `ap`,
        `ag`,
        `admingui`,
        `settings`
    ],
    staffOnly: true,
    helpMenu: `§e§lLifesteal Help Page -- adminpanel§r§g
> Show the welcome GUI

> Usage: ${config.prefix}adminpanel

> Aliases: [
    ap
    admingui
    ag
    settings
]

> Examples: [
    ${config.prefix}adminpanel
]`,
    callback: ({ player, args }) => {
        sendPlayerMessage(player, `§3Close chat to open GUI`);

        adminPanel(player);
    }
});