import { CustomCommandParamType, CustomCommandStatus, system, world } from "@minecraft/server";
import { Command, SlashCommandBuilder } from "../../../../stuff/handler";
import { sendAllMessage, sendPlayerMessage } from "../../../../stuff/commonUtils";

SlashCommandBuilder.createCommand({
    commandInfo: {
        name: `ls:joinerrorignore`,
        description: `Ignore the error message sent by lifesteal when it detects it isn't working`,
        mandatoryParameters: [{ name: `shouldIgnore`, type: CustomCommandParamType.Boolean }],
        permissionLevel: 1
    },
    callback(origin, shouldIgnore: boolean) {
        world.setDynamicProperty(`lifesteal:ignore-join-error`, shouldIgnore);
        system.run(() => {
            sendAllMessage(`§aError ignore set to ${shouldIgnore}`);
        });

        return { status: CustomCommandStatus.Success };
    },
});

new Command({
    name: `joinerrorignore`,
    helpMenu: `why`,
    callback({ player, args }) {
        if (![`true`, `false`].includes(args[0])) return sendPlayerMessage(player, `§cExpected boolean ('${args[0]}')`);

        const shouldIgnore = JSON.parse(args[0]);
        world.setDynamicProperty(`lifesteal:ignore-join-error`, shouldIgnore);

        sendAllMessage(`§aError ignore set to ${args[0]}`);
    },
});