import { randomN, sendPlayerMessage } from "../../../../stuff/commonUtils";
import { Command } from "../../../../stuff/handler";
import { processAllDeadplayers } from "../../../core_modules/ghostHandling";
import { revivelist } from "../../../databases";

new Command({
    name: `revivelist`,
    staffOnly: true,
    callback({ player, args }) {
        switch (args[0]) {
            case `clear`:
                return revivelist.clear();
            case `add`: {
                if (!args[1]) return console.warn(`no name`);
                const reviver = args.includes(`--h`) ? `` : `.,${player.name}`;
                revivelist.set(args[1].toLowerCase(), `${args[1].toLowerCase()}${reviver}`);
                if (args.includes(`--p`)) processAllDeadplayers();
                return;
            }
        }

        let currentColor = 9;
        let currentNoReviveColor = `f`;
        sendPlayerMessage(player, `${Array.from(revivelist.values())
            .map((x: string) =>
                x.includes(`.,`) ?
                    `§${currentColor === 9 ?
                        currentColor = 2 :
                        currentColor = 9
                    }${x}` : `§${currentNoReviveColor === `f` ?
                        currentNoReviveColor = `7` :
                        currentNoReviveColor = `f`
                    }${x}`)}`);
        // Players in the revive list that don't have a reviver listed are colored in white and gray alternating. Rest are alternated between blue and green
    },
});