import { lifesteal } from "../../../databases";
import { sendPlayerMessage } from "../../../../stuff/commonUtils";
import { config } from "../../../../stuff/config";
import { Command } from "../../../../stuff/handler";

new Command({
    name: `compatibility`,
    staffOnly: true,
    helpMenu: `§e§lLifesteal Help Page -- compatibility§r§g
> Set addon compatibility with other mods, by enabling these options, they will remove certain lifesteal features but enable for lifesteal to be used with other mods

> Usage: ${config.prefix}compatibility <option> <true/false>

> Args: [
    useplayerjson - Whether to use player.json, turning this off will enable a backup heart system which is scuffed but works
    antilore - Turns item lore off when enabled, allowing for compatibility with anti-cheats with a lore check
]

> Examples: [
    ${config.prefix}compatibility
    ${config.prefix}compatibility useplayerjson
    ${config.prefix}compatibility antilore true
]`,
    callback({ player, args, cmdData }) {
        if (!args[0]) {
            return sendPlayerMessage(player, cmdData.helpMenu);
        }

        switch (args.shift()) {
            case `antilore`:
                if (!args[0]) return sendPlayerMessage(player, `§aantiLore is set to §f${lifesteal.get(`antilore`)}`);

                if (![`true`, `false`].includes(args[0].toLowerCase())) return sendPlayerMessage(player, `§cMust be true or false`);
                lifesteal.set(`antilore`, args[0].toLowerCase());

                sendPlayerMessage(player, `§aSet antiLore to §f${args[0]}`);
                break;
            case `useplayerjson`:
                if (!args[0]) return sendPlayerMessage(player, `§ausePlayerJson is set to §f${lifesteal.get(`useplayerjson`)}`);

                if (![`true`, `false`].includes(args[0].toLowerCase())) return sendPlayerMessage(player, `§cMust be true or false`);
                lifesteal.set(`useplayerjson`, args[0].toLowerCase());

                sendPlayerMessage(player, `§aSet usePlayerJson to §f${args[0]}`);
                break;
        }
    },
});