import { world } from '@minecraft/server';
import { deadplayers, revivelist } from "../../../databases";
import { sendAllMessage, sendPlayerMessage } from "../../../../stuff/commonUtils";
import { config } from '../../../../stuff/config';
import { Command } from '../../../../stuff/handler';
import { processAllDeadplayers } from '../../../core_modules/ghostHandling';


new Command({
    name: `forcerevive`,
    staffOnly: true,
    helpMenu: `§e§lLifesteal Help Page -- forcerevive§r§g
> Revive a dead player with no heart of life

> Usage: ${config.prefix}forcerevive <player>

> Examples: [
    ${config.prefix}forcerevive GBShadow550
]`,
    callback({ player, args, cmdData }) {
        if (!args[0]) return sendPlayerMessage(player, cmdData.helpMenu);

        const target = deadplayers.get(args[0]);

        if (!target) {
            for (const players of world.getAllPlayers()) {
                if (players.name.toLowerCase() == args.join(` `).toLowerCase()) return sendPlayerMessage(player, `§cThat player is not a ghost!`);
            }
            return sendPlayerMessage(player, `§cFailed to find player. Make sure the capitalization is correct and they are a ghost`);
        }

        revivelist.set(`${target.toLowerCase()}`, `${target.toLowerCase()}`);
        deadplayers.delete(target);
        sendPlayerMessage(player, `§aRevived §f${target}`);
        processAllDeadplayers();
    },
});