import { ButtonState, InputButton, Player, system, world } from '@minecraft/server';
import { deadplayers, revivelist } from "../../../databases";
import { sendPlayerMessage } from "../../../../stuff/commonUtils";
import { config } from '../../../../stuff/config';
import { Command } from '../../../../stuff/handler';
import { processAllDeadplayers } from '../../../core_modules/ghostHandling';

new Command({
    name: `reviveall`,
    staffOnly: true,
    helpMenu: `§e§lLifesteal Help Page -- reviveall§r§g
> Revive all dead players

> Usage: ${config.prefix}reviveall

> Examples: [
    ${config.prefix}reviveall
]`,
    callback({ player, args }) {
        sendPlayerMessage(player, `§aAre you sure you want to revive all dead players? §fSneak twice to confirm.`);
        if (![`true`, `false`].includes(args[0])) args[0] = `false`;
        handlePlayerSneak(player, JSON.parse(args[0]));
    },
});

async function handlePlayerSneak(player: Player, hideRevive = false) {
    const tickStarted = system.currentTick;
    const timeWindow = 200;
    const shiftTimeWindow = 20;

    let shiftTimeLeft = shiftTimeWindow;

    let lastSneakState: ButtonState;
    let validTimesPressed = 0;
    while (system.currentTick < tickStarted + timeWindow && validTimesPressed !== 2) {
        const sneakState = player.inputInfo.getButtonState(InputButton.Sneak);
        if (sneakState === ButtonState.Pressed && lastSneakState === ButtonState.Released) {
            validTimesPressed++;
            shiftTimeLeft = shiftTimeWindow;
        }

        shiftTimeLeft = validTimesPressed > 0 ? shiftTimeLeft - 1 : shiftTimeWindow;
        if (shiftTimeLeft <= 0) validTimesPressed = 0;

        lastSneakState = sneakState;
        await system.waitTicks(1);
    }
    if (validTimesPressed !== 2) return sendPlayerMessage(player, `§aCanceled revive all`);

    sendPlayerMessage(player, `§aPlease wait..`);

    const reviver = hideRevive ? `` : `.,${player.name}`;
    for (const playerName of deadplayers.keys()) {
        revivelist.set(`${playerName.toLowerCase()}`, `${playerName.toLowerCase()}${reviver}`);
        deadplayers.delete(playerName);
    }
    sendPlayerMessage(player, `§aRevived all dead players!`);
    processAllDeadplayers();
}