import { Player, system, world } from "@minecraft/server";
import { deadplayers, lifesteal, revivelist } from "../databases";
import { getPlayer, getScore, sendAllMessage } from "../../stuff/commonUtils";

export function processDeadPlayer(player: Player) {
    if (revivelist.has(player.name.toLowerCase())) {
        if (!player.hasTag(`ls-dead`)) return revivelist.delete(player.name.toLowerCase());
        player.addTag(`ls-revive`);
        return;
    }

    if (!player.hasTag(`ls-dead`) && getScore(player, `ls-death`) > 0) {
        deadplayers.delete(player.name);
        return;
    }

    deadplayers.set(player.name, player.name);

    if (lifesteal.get(`banghosts`) === `true`) {
        const successCount = player.runCommand(`kick "${player.name}" You are banned because you ran out of hearts!\n\nTo get revived, a player must use a Heart of Life item and revive you`).successCount;
        if (successCount === 0) console.warn(`Failed to kick ${player.name}`);
    }
}

export function processAllDeadplayers() {
    for (const player of world.getAllPlayers()) {
        processDeadPlayer(player);
    }
}