import { CustomCommand, CustomCommandOrigin, CustomCommandResult, CustomCommandStatus, Player, system } from "@minecraft/server";
import { beaconDebounceMap, reviveGuiForm, beaconMap } from "../../../gui/reviveGui";
import { sendAllMessage } from "../../../../stuff/commonUtils";
import { openWelcomeGui } from "../../../gui/welcome";
import { SlashCommandBuilder } from "../../../../stuff/handler";

system.beforeEvents.startup.subscribe(data => {
    SlashCommandBuilder.registerCommands(data.customCommandRegistry);

    data.blockComponentRegistry.registerCustomComponent(`lifesteal:bol`, {
        onPlayerInteract: (data) => {
            const player = data.player;
            if (data.block.typeId === `lifesteal:beacon_of_life` && !beaconDebounceMap.has(player.name) && !player.isSneaking) {
                reviveGuiForm(player);
                beaconMap.set(player.id, data.block);
            }
        }
    });
});