import { Player } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
import { killhistory } from "../../../databases";
import { successGui } from "../../adminpanel";
import { agKillHistory } from "../killhistory";


export function clearHistory(player: Player) {
    const gui = new ActionFormData()
        .title(`Are you sure?`)
        .body(`Are you sure you want to delete all kill history?`)
        .button(`Yes`, `textures/ui/realms_green_check.png`)
        .button(`Back`, `textures/ui/cancel.png`);
    gui.show(player).then(result => {
        if (result.canceled || result.selection === 1) {
            player.playSound(`note.pling`, { pitch: 2, volume: 0.1 });
            agKillHistory(player);
            return;
        }

        killhistory.delete(`killhistory`);
        successGui(player, `Success!`, `§aCleared history!`, `killhistory`);
    });
}
