import { Player } from "@minecraft/server";
import { ActionFormData, FormCancelationReason } from "@minecraft/server-ui";
import { timeStamp } from "../../../../stuff/commonUtils";
import { killhistory } from "../../../databases";
import { successGui } from "../../adminpanel";
import { agKillHistory } from "../killhistory";


export function guiView(player: Player) {
    const killHistoryString: string = killhistory.get(`killhistory`);
    const killHistoryArray = killHistoryString?.split(`,`).reverse() ?? [];

    const gui = new ActionFormData()
        .title(`Gui View`)
        .button(`Back`, `textures/ui/back_button_default.png`);
    if (!killHistoryArray.length) gui.body(`§8but nobody came`);

    for (const plr of killHistoryArray) {
        const name = plr.split(`..`);
        gui.button(`${name[0]}\n${timeStamp(Date.now() - +name[2])} ago`, `textures/ui/icon_steve.png`);
    }

    gui.show(player).then(result => {
        player.playSound(`note.pling`, { pitch: 2, volume: 0.1 });
        if (result.canceled && result.cancelationReason === FormCancelationReason.UserClosed) return agKillHistory(player);
        if (result.selection === 0) return agKillHistory(player);

        const plr = killHistoryArray[result.selection - 1].split(`..`);

        const khGui = new ActionFormData()
            .title(`${plr[0]}`)
            .body(`§7Killed: ${timeStamp(Date.now() - +plr[2])} ago\nKiller: ${plr[1]}`)
            .button(`Back to Kill History`, `textures/ui/back_button_default.png`);
        khGui.show(player).then(result => {
            player.playSound(`note.pling`, { pitch: 2, volume: 0.1 });
            if (result.canceled && result.cancelationReason === FormCancelationReason.UserClosed) {
                return successGui(player, `Failed to execute action`, `§cCanceled`, `killhistory`);
            }

            agKillHistory(player);
        });
    });
}