import { Player } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
import { timeStamp } from "../../../../stuff/commonUtils";
import { killhistory } from "../../../databases";
import { agKillHistory } from "../killhistory";


export function textView(player: Player) {
    const killHistoryString: string = killhistory.get(`killhistory`);
    const killHistoryArray = killHistoryString?.split(`,`).reverse() ?? [];

    const gui = new ActionFormData()
        .title(`Text View`)
        .body(`§q${killHistoryString ? killHistoryArray.map(x => {
            const v = x.split(`..`);

            return `${v[0]} got killed by ${v[1]} ${timeStamp(Date.now() - +v[2])} ago`;
        }).join(`\n\n`) : `§8nothing here`}`)
        .button(`Back`, `textures/ui/back_button_default.png`);
    gui.show(player).then(() => {
        player.playSound(`note.pling`, { pitch: 2, volume: 0.1 });
        agKillHistory(player);
    });
}