import { Player } from "@minecraft/server";
import { ActionFormData, FormCancelationReason } from "@minecraft/server-ui";
import { adminPanel } from "../adminpanel";
import { clearHistory } from "./killHistory/clearHistory";
import { textView } from "./killHistory/textView";
import { guiView } from "./killHistory/guiView";

const killHistoryMap: { [buttonIndex: number]: (player: Player) => void; } = {
    0: clearHistory,
    1: textView,
    2: guiView
};

export function agKillHistory(player: Player) {
    const gui = new ActionFormData()
        .title(`Kill History`)
        .body(`§7Kill history`)
        .button(`Clear history`, `textures/items/iron_shovel.png`)
        .button(`Text view`, `textures/ui/bamboo_sign.png`)
        .button(`GUI view`, `textures/ui/comment.png`)
        .button(`Back`, `textures/ui/back_button_default.png`);
    gui.show(player).then(result => {
        player.playSound(`note.pling`, { pitch: 2, volume: 0.1 });
        if (result.canceled && result.cancelationReason === FormCancelationReason.UserClosed) return adminPanel(player);

        const killHistoryGui = killHistoryMap[result.selection];

        if (!killHistoryGui) return adminPanel(player);
        killHistoryGui(player);
    });
}
