import { Player } from "@minecraft/server";
import { ModalFormData, FormCancelationReason } from "@minecraft/server-ui";
import { processAllDeadplayers } from "../../../core_modules/ghostHandling";
import { lifesteal, lifestealLogs } from "../../../databases";
import { defaultSettings } from "../../../defaultSettings";
import { successGui, getFormattedTime } from "../../adminpanel";
import { sendAllMessage } from "../../../../stuff/commonUtils";


export function setBanGhosts(player: Player) {
    const gui = new ModalFormData()
        .title(`Ban Ghosts`)
        .toggle(`Ban ghosts? §7(Players with no hearts)`, { defaultValue: JSON.parse(lifesteal.get(`banghosts`)), tooltip: `Default: ${defaultSettings.banghosts}` })
        .submitButton(`Set Ban Ghosts`);
    gui.show(player).then(result => {
        if (result.canceled && result.cancelationReason === FormCancelationReason.UserClosed) {
            return successGui(player, `Failed to change Ban Ghosts`, `§cCanceled`, `settings`);
        }
        const formValues = result.formValues;

        lifesteal.set(`banghosts`, `${formValues[0]}`);
        processAllDeadplayers();

        successGui(player, `Success!`, `§aChanged Ban Ghosts? to §f${formValues[0]}§a!\n§7(${formValues[0] === true ? `Players with no hearts left will be banned` : `Players with no hearts left will be in spectator`})`, `settings`);
        lifestealLogs.push(`§q${getFormattedTime()} > ${player.name} changed Ban Ghosts? to ${formValues[0]} `);
    });
}
