import { Player } from "@minecraft/server";
import { ModalFormData, FormCancelationReason } from "@minecraft/server-ui";
import { lifesteal, lifestealLogs } from "../../../databases";
import { defaultSettings } from "../../../defaultSettings";
import { successGui, getFormattedTime } from "../../adminpanel";


export function setDefaultHearts(player: Player) {
    const gui = new ModalFormData()
        .title(`Start Amount`)
        .slider(`Set Start Amount`, 5, 15, { defaultValue: +lifesteal.get(`startamount`), tooltip: `Default: ${defaultSettings.startamount}` })
        .submitButton(`Set Start Amount`);
    gui.show(player).then(result => {
        if (result.canceled && result.cancelationReason === FormCancelationReason.UserClosed) {
            return successGui(player, `Failed to change Start Amount`, `§cCanceled`, `settings`);
        }
        const formValues = result.formValues;

        lifesteal.set(`startamount`, `${formValues[0]}`);

        successGui(player, `Success!`, `§aChanged Start Amount to §f${formValues[0]}§a!`, `settings`);
        lifestealLogs.push(`§q${getFormattedTime()} > ${player.name} changed the Start Amount to ${formValues[0]} `);
    });
}
