import { Player } from "@minecraft/server";
import { FormCancelationReason, ModalFormData } from "@minecraft/server-ui";
import { lifesteal, lifestealLogs } from "../../../databases";
import { defaultSettings } from "../../../defaultSettings";
import { successGui, getFormattedTime } from "../../adminpanel";

export function setEnvdrop(player: Player) {
    const gui = new ModalFormData()
        .title(`Environment Drop`)
        .toggle(`Whether or not to drop your heart on the ground if you get killed by natural sources §7(Such as fall damage, mobs, etc)`, { defaultValue: JSON.parse(lifesteal.get(`envdrop`)), tooltip: `Default: ${defaultSettings.envdrop}` })
        .submitButton(`Set Environment Drop`);
    gui.show(player).then(result => {
        if (result.canceled && result.cancelationReason === FormCancelationReason.UserClosed) {
            return successGui(player, `Failed to change Environment Drop`, `§cCanceled`, `settings`);
        }
        const formValues = result.formValues;

        lifesteal.set(`envdrop`, `${formValues[0]}`);

        successGui(player, `Success!`, `§aChanged Environment Drop to §f${formValues[0]}§a!`, `settings`);
        lifestealLogs.push(`§q${getFormattedTime()} > ${player.name} changed Environment Drop to ${formValues[0]} `);
    });
}