import { Player } from "@minecraft/server";
import { ModalFormData, FormCancelationReason } from "@minecraft/server-ui";
import { lifesteal, lifestealLogs } from "../../../databases";
import { defaultSettings } from "../../../defaultSettings";
import { successGui, getFormattedTime } from "../../adminpanel";


export function setEnvsteal(player: Player) {
    const gui = new ModalFormData()
        .title(`Environment Steal`)
        .toggle(`Lose Hearts from Natural Causes? §7(Such as fall damage, mobs, etc)`, { defaultValue: JSON.parse(lifesteal.get(`envsteal`)), tooltip: `Default: ${defaultSettings.envsteal}` })
        .submitButton(`Set Environment Steal`);
    gui.show(player).then(result => {
        if (result.canceled && result.cancelationReason === FormCancelationReason.UserClosed) {
            return successGui(player, `Failed to change Environment Steal`, `§cCanceled`, `settings`);
        }
        const formValues = result.formValues;

        lifesteal.set(`envsteal`, `${formValues[0]}`);

        successGui(player, `Success!`, `§aChanged Environment Steal to §f${formValues[0]}§a!`, `settings`);
        lifestealLogs.push(`§q${getFormattedTime()} > ${player.name} changed Environment Steal to ${formValues[0]} `);
    });
}
