import { Player } from "@minecraft/server";
import { ModalFormData, FormCancelationReason } from "@minecraft/server-ui";
import { lifesteal, lifestealLogs } from "../../../databases";
import { defaultSettings } from "../../../defaultSettings";
import { successGui, getFormattedTime } from "../../adminpanel";


export function setHeartsOnRevive(player: Player) {
    const gui = new ModalFormData()
        .title(`Revive Amount`)
        .slider(`Set Revive Amount`, 1, 15, { defaultValue: +lifesteal.get(`reviveamount`), tooltip: `Default: ${defaultSettings.reviveamount}` })
        .submitButton(`Set Revive Amount`);
    gui.show(player).then(result => {
        if (result.canceled && result.cancelationReason === FormCancelationReason.UserClosed) {
            return successGui(player, `Failed to change Revive Amount`, `§cCanceled`, `settings`);
        }
        const formValues = result.formValues;

        lifesteal.set(`reviveamount`, `${formValues[0]}`);

        successGui(player, `Success!`, `§aChanged Revive Amount to §f${formValues[0]}§a!`, `settings`);
        lifestealLogs.push(`§q${getFormattedTime()} > ${player.name} changed the Revive Amount to ${formValues[0]} `);
    });
}
