import { Player } from "@minecraft/server";
import { FormCancelationReason, ModalFormData } from "@minecraft/server-ui";
import { defaultSettings } from "../../../defaultSettings";
import { lifesteal, lifestealLogs } from "../../../databases";
import { successGui, getFormattedTime } from "../../adminpanel";
import { sendAllMessage } from "../../../../stuff/commonUtils";

export function setMaxHolBonus(player: Player) {
    const gui = new ModalFormData()
        .title(`Max Heart of Life Bonus`)
        .slider(`Set Max Heart of Life Bonus`, 0, 25, {
            defaultValue: +lifesteal.get(`maxholbonus`), tooltip: `Default: ${defaultSettings.maxholbonus}`
        })
        .submitButton(`Set Max HOL Bonus`);
    gui.show(player).then(result => {
        if (result.canceled && result.cancelationReason === FormCancelationReason.UserClosed) {
            return successGui(player, `Failed to change Max Heart of Life Bonus`, `§cCanceled`, `settings`);
        }
        const formValues = result.formValues;

        lifesteal.set(`maxholbonus`, `${formValues[0]}`);

        successGui(player, `Success!`, `§aChanged Max Heart of Life Bonus to §f${formValues[0]}§a!`, `settings`);
        lifestealLogs.push(`§q${getFormattedTime()} > ${player.name} changed the Max HOL Bonus to ${formValues[0]} `);
    });
}