import { Player, PaletteColor, system } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
import { processAllDeadplayers } from "../../core_modules/ghostHandling";
import { adminPanel } from "../adminpanel";
import { qcLogs } from "./quickCommands/qcLogs";
import { qcSetHearts } from "./quickCommands/qcSetHearts";
import { qcResetHearts } from "./quickCommands/qcResetHearts";
import { qcRevivePlayer } from "./quickCommands/qcRevivePlayer";
import { qcGetItem } from "./quickCommands/qcGetItem";
import { qcRunCommands } from "./quickCommands/qcRunCommands";

const quickCommandsMap: { [buttonIndex: number]: (player: Player) => void; } = {
    0: qcLogs,
    1: qcSetHearts,
    2: qcResetHearts,
    3: qcRevivePlayer,
    4: qcGetItem,
    5: qcRunCommands
};

export function agQuickCommands(player: Player) {
    const gui = new ActionFormData()
        .title(`Quick Commands`)
        .button(`Lifesteal Logs`, `textures/ui/icon_book_writable.png`)
        .button(`Set a player's heart count`, `textures/ui/heart.png`)
        .button(`Reset a player's heart count`, `textures/ui/poison_heart.png`)
        .button(`Revive a player`, `textures/ui/freeze_heart.png`)
        .button(`Get a lifesteal item`, `textures/items/heart_essence.png`)
        .button(`Run multiple commands`, `textures/blocks/command_block.png`)
        .button(`Back`, `textures/ui/back_button_default.png`);
    gui.show(player).then(result => {
        player.playSound(`note.pling`, { pitch: 2, volume: 0.1 });

        const quickCommandGui = quickCommandsMap[result.selection];
        if (!quickCommandGui) return adminPanel(player);
        quickCommandGui(player);
    });
}