import { Player } from "@minecraft/server";
import { ActionFormData, FormCancelationReason } from "@minecraft/server-ui";
import { changelog } from "../changelog";
import { sendPlayerMessage } from "../../stuff/commonUtils";
import { config } from "../../stuff/config";

export function openWelcomeGui(player: Player) {
    const gui = new ActionFormData()
        .title(`Welcome!`)
        .body(`§gWelcome! This world has the §6Lifesteal Addon§g installed!\nThis lifesteal addon was created by §1§oGamerDos§r§g on YouTube.\n\n§lDo ${config.prefix}help to see all commands`)
        .button(`Next`, `textures/ui/arrow.png`);
    gui.show(player).then(result => {
        if (result.canceled && result.cancelationReason === FormCancelationReason.UserBusy) return openWelcomeGui(player);

        pageTwo(player);
    });
}

function pageTwo(player: Player) {
    player.playSound(`random.orb`, { pitch: 4 });
    const gui = new ActionFormData()
        .title(`OWNER(S) README`)
        .body(`§7If you've installed this addon from a website other than §o§fMCPEDL or ModBay§r§7 then you've downloaded my addon from an unofficial source! §fSome people reupload other people's addons without their permission. §7Next time, get your addons off of §o§fMCPEDL§r§7, where it's more moderated. c:`)
        .button(`Close`, `textures/ui/cancel.png`)
        .button(`Showcasers README`, `textures/blocks/bed_head_top.png`)
        .button(`Lifesteal Changelog`, `textures/items/map_filled.png`);
    gui.show(player).then(result => {
        switch (result.selection) {
            case 0:
                player.playSound(`random.levelup`);
                sendPlayerMessage(player, `§7- dsc.gg/gamerdos: Support Discord Server (Join if you need help or you have a question)\n- mcpedl.com/lifesteal-addon: The MCPEDL page, check up on this for updates\n- patreon.com/gamerdos: Support what I do!\n\n§r§lCommand Prefix: ${config.prefix}`);
                break;
            case 1:
                return showcasePage(player);
            case 2:
                return changelogPage(player);
        }
    });
}

function showcasePage(player: Player) {
    player.playSound(`random.orb`, { pitch: 4 });
    const gui = new ActionFormData()
        .title(`README`)
        .body(`§9I'd appreciate if you link the MCPEDL page §o§dhttps://mcpedl.com/lifesteal-addon§r§9 instead of the direct download to the addon. Not only does it help me out a lot, you also don't have to do through the hassle of updating the download yourself when a new update gets rolled out. Thanks :D`)
        .button(`Back`, `textures/ui/arrow_left.png`);
    gui.show(player).then(() => pageTwo(player));
}

function changelogPage(player: Player) {
    player.playSound(`random.orb`, { pitch: 4 });
    const gui = new ActionFormData()
        .title(`Lifesteal Changelog`)
        .body(`${changelog}`)
        .button(`Back`, `textures/ui/arrow_left.png`);
    gui.show(player).then(() => pageTwo(player));
}