import { Player, ItemStack } from "@minecraft/server";
import { lifestealLogs } from "../databases";
import { lifesteal } from "../databases";
import { getScore, sendPlayerMessage, setScore, addScore } from "../../stuff/commonUtils";

export function heartItem(player: Player, item: ItemStack) {
    const now = new Date(), hours = ((now.getUTCHours() % 12 || 12) + ``).padStart(2, `0`);
    const minutes = (now.getUTCMinutes() + ``).padStart(2, `0`);
    const amorpm = now.getUTCHours() < 12 ? `AM` : `PM`;
    const date = `${hours}:${minutes} ${amorpm}`;

    const itemCap = +lifesteal.get(`heartitemcap`);
    const hearts = getScore(player, `ls-death`);

    if (item.typeId == `lifesteal:heart`) {
        if (getScore(player, `ls-death`) >= 200) {
            sendPlayerMessage(player, `§cYou are at the max amount of hearts!`);
            player.playSound(`note.bd`, { pitch: 1.2, volume: 0.5 });
            setScore(player, `ls-nomsg`, 7);
            return;
        }
        if (getScore(player, `ls-death`) >= +lifesteal.get(`maxhearts`)) {
            sendPlayerMessage(player, `§cYou are at the max amount of hearts!`);
            player.playSound(`note.bd`, { pitch: 1.2, volume: 0.5 });
            setScore(player, `ls-nomsg`, 7);
            return;
        }

        if (hearts >= itemCap) {
            player.playSound(`note.bd`, { pitch: 1.2, volume: 0.5 });
            sendPlayerMessage(player, `§cYou've reached the heart (item form) limit! Kill other players to gain hearts. §8Do §l§o?heart itemcap <number>§r§8 to change the limit`);
            return;
        }

        if (player.runCommand(`clear @s lifesteal:heart 0 1`).successCount == 0) return;
        addScore(player, `ls-death`, 1);
        player.playSound(`heart`, { volume: 0.3 });
        lifestealLogs.push(`§q${date} > ${player.name} gained a heart by using a heart item`);
    }
}