import { Player } from "@minecraft/server";
import { lifestealLogs } from "../databases";
import { sendPlayerMessage } from "../../stuff/commonUtils";
import { adminPanel } from "../gui/adminpanel";

export function adminPanelItem(player: Player) {
    if (player.hasTag(`lifesteal-opped`) || player.isOp()) {
        adminPanel(player);
        lifestealLogs.push(`§q${getFormattedTime()} > ${player.name} opened the Admin Panel`);
    } else {
        sendPlayerMessage(player, `§cYou do not have permission to open the Admin Panel! Do /tag @s add lifesteal-opped to get permission`);
        lifestealLogs.push(`§q${getFormattedTime()} > ${player.name} tried opened the Admin Panel, but they weren't opped`);
    }
}

function getFormattedTime() {
    const now = new Date(), hours = ((now.getUTCHours() % 12 || 12) + ``).padStart(2, `0`);
    const minutes = (now.getUTCMinutes() + ``).padStart(2, `0`);
    const amorpm = now.getUTCHours() < 12 ? `AM` : `PM`;
    const date = `${hours}:${minutes} ${amorpm}`;
    return date;
}