import { ItemStack, Player, world } from "@minecraft/server";
import { getScore, sendPlayerMessage, addScore, sendAllMessage } from "../../stuff/commonUtils";
import { ModalFormData } from "@minecraft/server-ui";
import { withdrawAmount } from "../commands/withdraw";

export function withdrawHeart(player: Player, item: ItemStack) {
    if (item.typeId !== `lifesteal:withdraw_heart`) return;

    if (player.isSneaking) return withdrawAmount(player, 1);

    withdrawGUI(player);
}


function withdrawGUI(player: Player) {
    const heartCount = getScore(player, `ls-death`);

    const gui = new ModalFormData()
        .title(`Withdraw GUI`)
        .label(`§7Sneaking while using the withdraw heart quick withdraws a heart.`)
        .slider(`Select how many hearts to withdraw`, 0, heartCount - 1)
        .textField(`Or type an amount here`, `${heartCount - 1}`)
        .submitButton(`Withdraw`);
    gui.show(player).then(result => {
        if (result.canceled) return;
        const sliderAmount = result.formValues[1] as number;
        const textFieldAmount = +result.formValues[2];
        const amount = textFieldAmount && Number.isInteger(textFieldAmount) ? textFieldAmount : sliderAmount;

        withdrawAmount(player, amount);
    });
}